Create a new Payment Request

Payment Requests let you receive a payment by creating a link with preconfigured payment options that can then be:
- used in your integration/application allowing a customer to click/follow a link through a button
- sent through your own system in emails, sms or letters
- sent in an email/sms by the PayAdvantage system.

You are able to configure the options available when the link is followed such as the customer, description of the payment being requested, amount, on-charge fees (not available for BPAY), ExternalID (use-full for tracking subsequent payments), payment options and if you would like us to email/sms the initial link and reminders to the customer.




Create a Payment Request Link.

Body Params
Customer
object
required
string
required
length between 1 and 50

A description for the payment request which is meaningful to a customer. String, maximum length of 50 characters.

string | null

The entities ID from the external system that created it.

double
required

The amount requested to be debited from the customer by the payment request in AUD e.g. $100 would be amount=100.00

boolean
required

Specify if you would like an initial email/sms to be sent to the customer containing the merchant name, amount, payment description and link to follow to make payment. Only sends if the customer has a valid email/mobile. Boolean, shown as either true/false.

boolean | null

Specify if you would like email/sms reminders be sent to the customer if payment has not been completed and the link hasn't expired. Reminders are sent approximately on day 3, 7, 14, 28. Only sends if the customer has a valid email/mobile. Boolean, shown as either true/false.

boolean
required

On-charge any payment processing fees to the customer. Boolean, shown as either true/false.

PaymentOptions
array of strings | null

Options: credit_card, pay_id, pay_to, bpay, payment_plan, credit_card_authorization, card_authentication_request.
Specify which payment options are available as an array of strings. If using payment plans please ensure you configure the payment plan options in hosted pages.

credit_card allows card payments.
pay_id allows the user to pay using PayID
pay_to allows the user to pay using PayTo

bpay allows BPAY payments.
payment_plan allows the user to pay in installments.
credit_card_authorization requests a hold to be placed on the card. It cannot be combined with other payment options.
card_authentication_request sends a link for an existing credit card payment that requires 3DS authentication. It cannot be combined with other payment options.

PaymentOptions
integer
required
7 to 185

The number of days before the link will expire. It is recommended to set this to 90 days to avoid links being sent that can't be opened. Range between 7 and 185.

CustomerPaymentAccount
object

Customer payment account is only required if the payment request is using a previously tokenised card.

CardAuthenticationRequest
object

To obtain a 3DS validation from a card that was used for a payment. Pass in the payment code when using card_authentication_request as the PaymentOption to request the card to be verified that was used on the required payment.

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json